fedora-comps/ci/validate-comps
Adam Williamson 5ce7252e20 CI: explain better what "git status failed!" means
`make sort` won't usually *fail*, even if it sorts stuff (it'll
only fail if it actually can't sort for some reason). So when
either the PR or the existing state of the repo isn't properly
sorted, what we get is the "git status failed!" case. I *think*
this is likely the only time we'll get that, I don't think
"make validate" would actually change files without failing. So
let's gloss that a git status failure probably means a sorting
issue.

Signed-off-by: Adam Williamson <awilliam@redhat.com>
2023-05-18 09:08:28 -07:00

29 lines
570 B
Bash
Executable File

#!/usr/bin/bash
set -euo pipefail
main() {
failure=0
make sort > /dev/null 2>&1 || {
echo "Sort failed!"
((failure+=1))
}
make validate || {
echo "Validate failed!"
((failure+=1))
}
# Fail if any changes were made to the repo
if [[ -n $(git status --short) ]]; then
echo "git status failed! This likely means the PR or the underlying repo is not sorted"
((failure+=1))
fi
if [[ $failure -gt 0 ]]; then
echo "${failure} check(s) failed!"
exit 1
fi
}
main "${@}"